export type Member = {
  avatar: string;
  name: string;
  id: string;
};

/** 主题列表项数据类型 */
export type SubjectListItemDataType = {
  "b_use": number; // 是否启用（临时保存为草稿状态，完成时为启用状态）
  "total_course_minutes": number; // 总学时（分钟）
  "update_time": string; // 修改时间
  "subject_name": string; // 主题名称	
  "create_time": string; // 创建时间	
  "total_course_hours": number; // 总学时（小时）
  "is_deleted": number; // 删除状态：0-未删除；1-已删除
  "attachment_json": Attachment; // 附件信息（主题封面，保存前端需要的所有信息）
  "total_course_number": number;
  "subject_id": number; // 主题id
  "total_chapter_number": number; // 章节数
  "subject_describe": string; // 主题简介
};

/** 主题附件声明 */
export type Attachment = {
  name: string; // 原文件名
  ext: string; // 原文件名
  url: string; // 地址
}

/*
export type CardListItemDataType = {
  id: string;
  owner: string;
  title: string;
  avatar: string;
  cover: string;
  status: 'normal' | 'exception' | 'active' | 'success';
  percent: number;
  logo: string;
  href: string;
  body?: any;
  updatedAt: number;
  createdAt: number;
  subDescription: string;
  description: string;
  activeUser: number;
  newUser: number;
  star: number;
  like: number;
  message: number;
  content: string;
  members: Member[];
};
*/